<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<meta name="robots" content="NOINDEX, NOFOLLOW" /> <!-- Prevent indexing by search engines -->
<title>ARM Compute Library: Globals</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<script type="text/x-mathjax-config">
  MathJax.Hub.Config({
    extensions: ["tex2jax.js"],
    jax: ["input/TeX","output/HTML-CSS"],
});
</script><script type="text/javascript" src="http://cdn.mathjax.org/mathjax/latest/MathJax.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">ARM Compute Library
   &#160;<span id="projectnumber">17.04</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.xhtml"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.xhtml"><span>Namespaces</span></a></li>
      <li><a href="annotated.xhtml"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="files.xhtml"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.xhtml"><span>File&#160;List</span></a></li>
      <li class="current"><a href="globals.xhtml"><span>Globals</span></a></li>
    </ul>
  </div>
  <div id="navrow3" class="tabs2">
    <ul class="tablist">
      <li class="current"><a href="globals.xhtml"><span>All</span></a></li>
      <li><a href="globals_func.xhtml"><span>Functions</span></a></li>
      <li><a href="globals_vars.xhtml"><span>Variables</span></a></li>
      <li><a href="globals_type.xhtml"><span>Typedefs</span></a></li>
      <li><a href="globals_defs.xhtml"><span>Macros</span></a></li>
    </ul>
  </div>
  <div id="navrow4" class="tabs3">
    <ul class="tablist">
      <li class="current"><a href="globals.xhtml#index_a"><span>a</span></a></li>
      <li><a href="globals_b.xhtml#index_b"><span>b</span></a></li>
      <li><a href="globals_c.xhtml#index_c"><span>c</span></a></li>
      <li><a href="globals_d.xhtml#index_d"><span>d</span></a></li>
      <li><a href="globals_e.xhtml#index_e"><span>e</span></a></li>
      <li><a href="globals_f.xhtml#index_f"><span>f</span></a></li>
      <li><a href="globals_g.xhtml#index_g"><span>g</span></a></li>
      <li><a href="globals_h.xhtml#index_h"><span>h</span></a></li>
      <li><a href="globals_i.xhtml#index_i"><span>i</span></a></li>
      <li><a href="globals_k.xhtml#index_k"><span>k</span></a></li>
      <li><a href="globals_l.xhtml#index_l"><span>l</span></a></li>
      <li><a href="globals_m.xhtml#index_m"><span>m</span></a></li>
      <li><a href="globals_n.xhtml#index_n"><span>n</span></a></li>
      <li><a href="globals_o.xhtml#index_o"><span>o</span></a></li>
      <li><a href="globals_p.xhtml#index_p"><span>p</span></a></li>
      <li><a href="globals_r.xhtml#index_r"><span>r</span></a></li>
      <li><a href="globals_s.xhtml#index_s"><span>s</span></a></li>
      <li><a href="globals_t.xhtml#index_t"><span>t</span></a></li>
      <li><a href="globals_u.xhtml#index_u"><span>u</span></a></li>
      <li><a href="globals_v.xhtml#index_v"><span>v</span></a></li>
      <li><a href="globals_w.xhtml#index_w"><span>w</span></a></li>
      <li><a href="globals_x.xhtml#index_x"><span>x</span></a></li>
      <li><a href="globals_y.xhtml#index_y"><span>y</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('globals.xhtml','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
<div class="textblock">Here is a list of all functions, variables, defines, enums, and typedefs with links to the files they belong to:</div>

<h3><a class="anchor" id="index_a"></a>- a -</h3><ul>
<li>absdiff()
: <a class="el" href="absdiff_8cl.xhtml#abd1c22f3b8c5d2d0a1de36f45c38b88f">absdiff.cl</a>
</li>
<li>accumulate()
: <a class="el" href="accumulate_8cl.xhtml#a00e540076dd545ad59ac7482f8cdf514">accumulate.cl</a>
</li>
<li>accumulate_squared()
: <a class="el" href="accumulate_8cl.xhtml#aa6efbf07a1932e211879a0df54e9f50f">accumulate.cl</a>
</li>
<li>accumulate_weighted()
: <a class="el" href="accumulate_8cl.xhtml#ab64020e40663a4356d6037079d7292fb">accumulate.cl</a>
</li>
<li>activation_layer()
: <a class="el" href="activation__layer_8cl.xhtml#af56e71195597e525c12f0d8969735e47">activation_layer.cl</a>
</li>
<li>ADD
: <a class="el" href="arithmetic__op_8cl.xhtml#af3b709fb668cf93ca09e2a46a2a031a8">arithmetic_op.cl</a>
</li>
<li>apply_affine_transform()
: <a class="el" href="warp__affine_8cl.xhtml#a78e971ccef9598f9545f344d3a90a312">warp_affine.cl</a>
</li>
<li>apply_perspective_transform()
: <a class="el" href="warp__perspective_8cl.xhtml#a2791d623c1dbcf7e7111b8ff1b7daeeb">warp_perspective.cl</a>
</li>
<li>arithmetic_add()
: <a class="el" href="arithmetic__op_8cl.xhtml#a3e7b06c866bbf410b0c4ec80a73084a9">arithmetic_op.cl</a>
</li>
<li>arithmetic_sub()
: <a class="el" href="arithmetic__op_8cl.xhtml#a9524adc496c5155e4215068005ac6da5">arithmetic_op.cl</a>
</li>
<li>ARM_COMPUTE_CL
: <a class="el" href="cl__convolution_8cpp.xhtml#a9915340d2c3c10c51e07994dde353f01">cl_convolution.cpp</a>
, <a class="el" href="cl__events_8cpp.xhtml#a9915340d2c3c10c51e07994dde353f01">cl_events.cpp</a>
, <a class="el" href="neoncl__scale__median__gaussian_8cpp.xhtml#a9915340d2c3c10c51e07994dde353f01">neoncl_scale_median_gaussian.cpp</a>
</li>
<li>ARM_COMPUTE_CONST_ON_ERROR
: <a class="el" href="_error_8h.xhtml#a50048c593c53405cca5b0d69dfe25554">Error.h</a>
</li>
<li>ARM_COMPUTE_ERROR
: <a class="el" href="_error_8h.xhtml#a05b19c75afe9c24200a62b9724734bbd">Error.h</a>
</li>
<li>ARM_COMPUTE_ERROR_LOC
: <a class="el" href="_error_8h.xhtml#af93757c5021d1802b094dfbead459391">Error.h</a>
</li>
<li>ARM_COMPUTE_ERROR_ON
: <a class="el" href="_error_8h.xhtml#a54a6080c9f4df1f908e57a9bbb46f5da">Error.h</a>
</li>
<li>ARM_COMPUTE_ERROR_ON_CHANNEL_NOT_IN
: <a class="el" href="_validate_8h.xhtml#a350e28d20c8bd44408f14ad634c9c2ff">Validate.h</a>
</li>
<li>ARM_COMPUTE_ERROR_ON_CHANNEL_NOT_IN_KNOWN_FORMAT
: <a class="el" href="_validate_8h.xhtml#a35784b5583a4b264f0583a83fae77f80">Validate.h</a>
</li>
<li>ARM_COMPUTE_ERROR_ON_COORDINATES_DIMENSIONS_GTE
: <a class="el" href="_validate_8h.xhtml#aecee2852b71597de947ff5ec4b9765f6">Validate.h</a>
</li>
<li>ARM_COMPUTE_ERROR_ON_DATA_TYPE_CHANNEL_NOT_IN
: <a class="el" href="_validate_8h.xhtml#aadf5c9cff86327b96d88d04649d9715e">Validate.h</a>
</li>
<li>ARM_COMPUTE_ERROR_ON_DATA_TYPE_NOT_IN
: <a class="el" href="_validate_8h.xhtml#a4264d7e3318c4188e48127a75f3f0f8a">Validate.h</a>
</li>
<li>ARM_COMPUTE_ERROR_ON_FORMAT_NOT_IN
: <a class="el" href="_validate_8h.xhtml#a0d34a8aa07600727e4e5034c7cdad47d">Validate.h</a>
</li>
<li>ARM_COMPUTE_ERROR_ON_INVALID_MULTI_HOG
: <a class="el" href="_validate_8h.xhtml#abced8d9603a5927ebad9de2528f48962">Validate.h</a>
</li>
<li>ARM_COMPUTE_ERROR_ON_INVALID_SUBWINDOW
: <a class="el" href="_validate_8h.xhtml#a6eb9ce82815fe429250189da7592ba75">Validate.h</a>
</li>
<li>ARM_COMPUTE_ERROR_ON_LOC
: <a class="el" href="_error_8h.xhtml#ac90c3bce005225cbaa4a43740917bb58">Error.h</a>
</li>
<li>ARM_COMPUTE_ERROR_ON_LOC_MSG
: <a class="el" href="_error_8h.xhtml#a1b62e396a1789909dadda61ea4cda96f">Error.h</a>
</li>
<li>ARM_COMPUTE_ERROR_ON_MISMATCHING_DATA_TYPES
: <a class="el" href="_validate_8h.xhtml#a5befbfaf6bc224eabc58b5e88b1de6d1">Validate.h</a>
</li>
<li>ARM_COMPUTE_ERROR_ON_MISMATCHING_SHAPES
: <a class="el" href="_validate_8h.xhtml#aafce5e9928fac427dcd29d960bcf2ae3">Validate.h</a>
</li>
<li>ARM_COMPUTE_ERROR_ON_MISMATCHING_WINDOWS
: <a class="el" href="_validate_8h.xhtml#a57b20c050f8af67775d6da1b6febf038">Validate.h</a>
</li>
<li>ARM_COMPUTE_ERROR_ON_MSG
: <a class="el" href="_error_8h.xhtml#a5bbdcf574d3f5e412fa6a1117911e67b">Error.h</a>
</li>
<li>ARM_COMPUTE_ERROR_ON_TENSOR_NOT_2D
: <a class="el" href="_validate_8h.xhtml#abbd63a8040ec1e44308da1d3be3732ae">Validate.h</a>
</li>
<li>ARM_COMPUTE_ERROR_ON_UNCONFIGURED_KERNEL
: <a class="el" href="_validate_8h.xhtml#a1b35b0d258183cf9ef36adf684d0b88c">Validate.h</a>
</li>
<li>ARM_COMPUTE_ERROR_ON_WINDOW_DIMENSIONS_GTE
: <a class="el" href="_validate_8h.xhtml#af5084ef537306d09b1ef82aed5d1f63f">Validate.h</a>
</li>
<li>ARM_COMPUTE_UNUSED
: <a class="el" href="_error_8h.xhtml#a4103adbb45806b2f2002d44b91d0d206">Error.h</a>
</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Wed Apr 12 2017 17:30:11 for ARM Compute Library by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
